Jack2: PaStreamParameters Struct Reference

Jack2 1.9.12

Public Attributes | List of all members
PaStreamParameters Struct Reference

`#include <portaudio.h>`

## Public Attributes
PaDeviceIndex | device
int | channelCount
PaSampleFormat | sampleFormat
PaTime | suggestedLatency
void * | hostApiSpecificStreamInfo

## Detailed Description

Parameters for one direction (input or output) of a stream.

Definition at line 475 of file portaudio.h.

## Member Data Documentation

## ◆ device

PaDeviceIndex PaStreamParameters::device

A valid device index in the range 0 to (Pa_GetDeviceCount()-1) specifying the device to be used or the special constant paUseHostApiSpecificDeviceSpecification which indicates that the actual device(s) to use are specified in hostApiSpecificStreamInfo. This field must not be set to paNoDevice.

Definition at line 482 of file portaudio.h.

## ◆ channelCount

int PaStreamParameters::channelCount

The number of channels of sound to be delivered to the stream callback or accessed by Pa_ReadStream() or Pa_WriteStream(). It can range from 1 to the value of maxInputChannels in the PaDeviceInfo record for the device specified by the device parameter.

Definition at line 489 of file portaudio.h.

## ◆ sampleFormat

PaSampleFormat PaStreamParameters::sampleFormat

The sample format of the buffer provided to the stream callback, a_ReadStream() or Pa_WriteStream(). It may be any of the formats described by the PaSampleFormat enumeration.

Definition at line 495 of file portaudio.h.

## ◆ suggestedLatency

PaTime PaStreamParameters::suggestedLatency

The desired latency in seconds. Where practical, implementations should configure their latency based on these parameters, otherwise they may choose the closest viable latency instead. Unless the suggested latency is greater than the absolute upper limit for the device implementations should round the suggestedLatency up to the next practial value - ie to provide an equal or higher latency than suggestedLatency wherever possibe. Actual latency values for an open stream may be retrieved using the inputLatency and outputLatency fields of the PaStreamInfo structure returned by Pa_GetStreamInfo().

See also
  default*Latency in PaDeviceInfo, *Latency in PaStreamInfo

Definition at line 508 of file portaudio.h.

## ◆ hostApiSpecificStreamInfo

void* PaStreamParameters::hostApiSpecificStreamInfo

An optional pointer to a host api specific data structure containing additional information for device setup and/or stream processing. hostApiSpecificStreamInfo is never required for correct operation, if not used it should be set to NULL.

Definition at line 515 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h